- Main Page
- Classes
- Files

- Class List
- Class Members

# Model3dStatic Struct Reference

`#include <flModel.h>`

List of all members.

## Public Attributes
u32 | mdlVertCount
u8 | mdlTextureCount
u32 | mdlTexVertCount
u32 | mdlNormalCount
u32 | mdlFaceCount
vect3f * | mdlVerts
vect2f * | mdlTexVerts
vect3f * | mdlNormals
Texture ** | mdlTextures
Model3dStaticFace * | mdlFaces
bool | mdlOptimized

## Detailed Description

Definition at line 37 of file flModel.h.

## Member Data Documentation

u32 Model3dStatic::mdlVertCount

Definition at line 38 of file flModel.h.

Referenced by mdl3dStatLoadOBJ(), mdl3dStatOptimize(), and mdl3dStatSaveOBJ().

u8 Model3dStatic::mdlTextureCount

Definition at line 39 of file flModel.h.

Referenced by mdl3dStatDraw(), mdl3dStatFree(), mdl3dStatLoadOBJ(), mdl3dStatOptimize(), and mdl3dStatSaveOBJ().

u32 Model3dStatic::mdlTexVertCount

Definition at line 40 of file flModel.h.

Referenced by mdl3dStatLoadOBJ(), mdl3dStatOptimize(), and mdl3dStatSaveOBJ().

u32 Model3dStatic::mdlNormalCount

Definition at line 41 of file flModel.h.

Referenced by mdl3dStatLoadOBJ(), mdl3dStatOptimize(), and mdl3dStatSaveOBJ().

u32 Model3dStatic::mdlFaceCount

Definition at line 42 of file flModel.h.

Referenced by mdl3dStatDraw(), mdl3dStatDrawTextured(), mdl3dStatFree(), mdl3dStatLoadOBJ(), and mdl3dStatSaveOBJ().

vect3f* Model3dStatic::mdlVerts

Definition at line 43 of file flModel.h.

Referenced by mdl3dStatDraw(), mdl3dStatFree(), mdl3dStatLoadOBJ(), mdl3dStatLoadOBJ_faceRead(), mdl3dStatOptimize(), and mdl3dStatSaveOBJ().

vect2f* Model3dStatic::mdlTexVerts

Definition at line 44 of file flModel.h.

Referenced by mdl3dStatLoadOBJ(), mdl3dStatLoadOBJ_faceRead(), and mdl3dStatSaveOBJ().

vect3f* Model3dStatic::mdlNormals

Definition at line 45 of file flModel.h.

Referenced by mdl3dStatLoadOBJ(), mdl3dStatLoadOBJ_faceRead(), and mdl3dStatSaveOBJ().

Texture** Model3dStatic::mdlTextures

Definition at line 46 of file flModel.h.

Referenced by mdl3dStatFree(), and mdl3dStatLoadOBJ().

Model3dStaticFace* Model3dStatic::mdlFaces

Definition at line 47 of file flModel.h.

Referenced by mdl3dStatDraw(), mdl3dStatDrawTextured(), mdl3dStatFree(), mdl3dStatLoadOBJ(), and mdl3dStatSaveOBJ().

bool Model3dStatic::mdlOptimized

Definition at line 48 of file flModel.h.

Referenced by mdl3dStatLoadOBJ(), and mdl3dStatOptimize().

The documentation for this struct was generated from the following file:

- flModel.h